Look up people
curl --request POST \
--url https://app.fullenrich.com/api/v2/people/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
'import requests
url = "https://app.fullenrich.com/api/v2/people/lookup"
payload = {
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_name: 'Enzo Romera',
person_professional_network_url: 'https://www.linkedin.com/in/enzo-romera',
person_professional_network_id: 530992355,
company_professional_network_url: 'https://www.linkedin.com/company/anthropic',
company_professional_network_id: 1883877,
company_domain: 'anthropic.com'
})
};
fetch('https://app.fullenrich.com/api/v2/people/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/people/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'person_name' => 'Enzo Romera',
'person_professional_network_url' => 'https://www.linkedin.com/in/enzo-romera',
'person_professional_network_id' => 530992355,
'company_professional_network_url' => 'https://www.linkedin.com/company/anthropic',
'company_professional_network_id' => 1883877,
'company_domain' => 'anthropic.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/people/lookup"
payload := strings.NewReader("{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.fullenrich.com/api/v2/people/lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/people/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}"
response = http.request(request)
puts response.read_body{
"people": [
{
"id": "746e4816-19c8-54d8-b558-65a5a52cc85c",
"full_name": "Enzo Romera",
"first_name": "Enzo",
"last_name": "Romera",
"headline": "Marketing Strategist | 10+ Years in Strategy, Account Management & Activation | Consulting Expert",
"description": "Marketing strategist with 10+ years helping B2B companies build demand generation engines. I work with go-to-market teams on positioning, account-based campaigns and channel activation.",
"location": {
"country": "United States",
"country_code": "US",
"city": "San Francisco",
"region": "California"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/in/john-doe",
"handle": "john-doe",
"connection_count": 500
}
},
"educations": [
{
"school_name": "Stanford University",
"degree": "Bachelor of Science in Computer Science",
"start_at": "2015-09-01T00:00:00Z",
"end_at": "2019-06-01T00:00:00Z"
}
],
"languages": [
{
"language": "French",
"proficiency": "NATIVE_OR_BILINGUAL"
}
],
"skills": [
"JavaScript",
"Project Management",
"Python"
],
"employment": {
"current": {
"title": "Senior Software Engineer",
"seniority": "Senior",
"job_functions": [
{
"function": "Executive Management",
"sub_function": "Founders & Owners"
}
],
"description": "Leading the backend team and designing microservices architecture.",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"website": "https://www.anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"headcount_range": "1001-5000",
"company_type": "Privately Held",
"specialties": [
"Data Enrichment",
"B2B Data"
],
"technologies": [
{
"name": "Fullenrich",
"logo_url": "https://app.fullenrich.com/logo/technologies/id/3uwxkma9y03lj"
}
],
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "111 8th Ave",
"line2": "New York, NY 10011, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"connection_count": 125000
}
},
"logo_url": "https://app.fullenrich.com/logo/company/handle/anthropic"
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
},
"all": [
{
"title": "Senior Software Engineer",
"seniority": "Senior",
"job_functions": [
{
"function": "Executive Management",
"sub_function": "Founders & Owners"
}
],
"description": "Leading the backend team and designing microservices architecture.",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"website": "https://www.anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"headcount_range": "1001-5000",
"company_type": "Privately Held",
"specialties": [
"Data Enrichment",
"B2B Data"
],
"technologies": [
{
"name": "Fullenrich",
"logo_url": "https://app.fullenrich.com/logo/technologies/id/3uwxkma9y03lj"
}
],
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "111 8th Ave",
"line2": "New York, NY 10011, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"connection_count": 125000
}
},
"logo_url": "https://app.fullenrich.com/logo/company/handle/anthropic"
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
}
]
}
}
],
"metadata": {
"credits": 0.25
}
}Search
Look Up People
Look up a single person using their identifiers (professional network URL/ID, or full name combined with a company identifier). Returns the best matching person.
POST
/
people
/
lookup
Look up people
curl --request POST \
--url https://app.fullenrich.com/api/v2/people/lookup \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
'import requests
url = "https://app.fullenrich.com/api/v2/people/lookup"
payload = {
"person_name": "Enzo Romera",
"person_professional_network_url": "https://www.linkedin.com/in/enzo-romera",
"person_professional_network_id": 530992355,
"company_professional_network_url": "https://www.linkedin.com/company/anthropic",
"company_professional_network_id": 1883877,
"company_domain": "anthropic.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
person_name: 'Enzo Romera',
person_professional_network_url: 'https://www.linkedin.com/in/enzo-romera',
person_professional_network_id: 530992355,
company_professional_network_url: 'https://www.linkedin.com/company/anthropic',
company_professional_network_id: 1883877,
company_domain: 'anthropic.com'
})
};
fetch('https://app.fullenrich.com/api/v2/people/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.fullenrich.com/api/v2/people/lookup",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'person_name' => 'Enzo Romera',
'person_professional_network_url' => 'https://www.linkedin.com/in/enzo-romera',
'person_professional_network_id' => 530992355,
'company_professional_network_url' => 'https://www.linkedin.com/company/anthropic',
'company_professional_network_id' => 1883877,
'company_domain' => 'anthropic.com'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.fullenrich.com/api/v2/people/lookup"
payload := strings.NewReader("{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://app.fullenrich.com/api/v2/people/lookup")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.fullenrich.com/api/v2/people/lookup")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"person_name\": \"Enzo Romera\",\n \"person_professional_network_url\": \"https://www.linkedin.com/in/enzo-romera\",\n \"person_professional_network_id\": 530992355,\n \"company_professional_network_url\": \"https://www.linkedin.com/company/anthropic\",\n \"company_professional_network_id\": 1883877,\n \"company_domain\": \"anthropic.com\"\n}"
response = http.request(request)
puts response.read_body{
"people": [
{
"id": "746e4816-19c8-54d8-b558-65a5a52cc85c",
"full_name": "Enzo Romera",
"first_name": "Enzo",
"last_name": "Romera",
"headline": "Marketing Strategist | 10+ Years in Strategy, Account Management & Activation | Consulting Expert",
"description": "Marketing strategist with 10+ years helping B2B companies build demand generation engines. I work with go-to-market teams on positioning, account-based campaigns and channel activation.",
"location": {
"country": "United States",
"country_code": "US",
"city": "San Francisco",
"region": "California"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/in/john-doe",
"handle": "john-doe",
"connection_count": 500
}
},
"educations": [
{
"school_name": "Stanford University",
"degree": "Bachelor of Science in Computer Science",
"start_at": "2015-09-01T00:00:00Z",
"end_at": "2019-06-01T00:00:00Z"
}
],
"languages": [
{
"language": "French",
"proficiency": "NATIVE_OR_BILINGUAL"
}
],
"skills": [
"JavaScript",
"Project Management",
"Python"
],
"employment": {
"current": {
"title": "Senior Software Engineer",
"seniority": "Senior",
"job_functions": [
{
"function": "Executive Management",
"sub_function": "Founders & Owners"
}
],
"description": "Leading the backend team and designing microservices architecture.",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"website": "https://www.anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"headcount_range": "1001-5000",
"company_type": "Privately Held",
"specialties": [
"Data Enrichment",
"B2B Data"
],
"technologies": [
{
"name": "Fullenrich",
"logo_url": "https://app.fullenrich.com/logo/technologies/id/3uwxkma9y03lj"
}
],
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "111 8th Ave",
"line2": "New York, NY 10011, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"connection_count": 125000
}
},
"logo_url": "https://app.fullenrich.com/logo/company/handle/anthropic"
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
},
"all": [
{
"title": "Senior Software Engineer",
"seniority": "Senior",
"job_functions": [
{
"function": "Executive Management",
"sub_function": "Founders & Owners"
}
],
"description": "Leading the backend team and designing microservices architecture.",
"company": {
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"name": "Anthropic",
"domain": "anthropic.com",
"website": "https://www.anthropic.com",
"description": "AI safety and research company",
"year_founded": 2021,
"headcount": 2610,
"headcount_range": "1001-5000",
"company_type": "Privately Held",
"specialties": [
"Data Enrichment",
"B2B Data"
],
"technologies": [
{
"name": "Fullenrich",
"logo_url": "https://app.fullenrich.com/logo/technologies/id/3uwxkma9y03lj"
}
],
"locations": {
"headquarters": {
"line1": "548 Market St",
"line2": "San Francisco, CA 94105, US",
"city": "San Francisco",
"region": "California",
"country": "United States",
"country_code": "US"
},
"offices": [
{
"line1": "111 8th Ave",
"line2": "New York, NY 10011, US"
}
]
},
"industry": {
"main_industry": "Software Development"
},
"social_profiles": {
"professional_network": {
"id": 1234,
"url": "https://www.linkedin.com/company/anthropic",
"handle": "anthropic",
"connection_count": 125000
}
},
"logo_url": "https://app.fullenrich.com/logo/company/handle/anthropic"
},
"is_current": true,
"start_at": "2022-03-15T00:00:00Z",
"end_at": "2024-06-30T00:00:00Z"
}
]
}
}
],
"metadata": {
"credits": 0.25
}
}The People Look Up endpoint returns a single person when you already know who you are looking for. Provide an identifier and the API matches the best corresponding profile.
The most reliable way to match a person is their professional network URL or ID. You can also look up by full name combined with a company identifier (domain, professional network URL, or professional network ID) to disambiguate the match.
The response has the same shape as Search People, but always contains at most one person.
Search API pricing
Authorizations
Body
application/json
Provide at least one identifier to match a single person. The professional network URL or ID is the most reliable. A full name can be combined with a company identifier (domain, professional network URL, or professional network ID) to disambiguate the match.
Was this page helpful?